MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0007241ardourbugspublic2017-02-15 06:522017-03-04 04:10
Reporterbdp 
Assigned Totimbyr 
PrioritynormalSeveritycrashReproducibilityalways
StatusresolvedResolutionfixed 
PlatformLinuxOSDebianOS Version8.7
Product Version5.6 
Target VersionFixed in Version5.8 
Summary0007241: Freeze/Crash when trying to convert/open session created in Ardour 4.6.0
DescriptionAs expected Ardour noticed the old session file format, backed up the file to <session_name>-3001.ardour and tried to alter/update/open the session. At this point Ardour shows the splash screen then gets to show an empty edit window, with transport and menus etc... nothing will respond to mouse clicks. This must be force closed.

Starting using the Alsa backend gives an Ardour error message: "Programming Error, no tempo section in tempo map".

The same installation will create and open new sessions correctly with no issues.
Steps To ReproduceTry opening the old session with Ardour 5.6.0,
Additional InformationIt seems that opening with Jack enabled causes a freeze, opening with the alsa back end causes 2 fatal programming error alerts which when dismissed in the correct order causes the program to exit cleanly.
TagsNo tags attached.
Attached Files? file icon TSR_2015_00_Overload New Punchy.ardour [^] (3,522,264 bytes) 2017-02-15 06:52

- Relationships

-  Notes
(0019395)
nick_m (reporter)
2017-02-15 09:01

it appears that the initial tempo section is missing from the file.
what is the initial tempo when you open this in 4.x?
(0019396)
nick_m (reporter)
2017-02-15 09:59

this should be fixed by commit 32248b755ba8
(0019405)
bdp (reporter)
2017-02-16 02:57

Thanks nick_m - I opened the session perfectly with the nightly build. I saved the session and it now also opens with the release version 5.6.0.

---
The tempo shown on the 4.x version was 269 bpm. I think it got messed up due to the history of this session. The session for this song came from a copy very long tracking session which then used the remove time feature to cut it down to one song.

I'm not sure if the remove time function needs to be looked at as far as handling tempo is concerned ... I realise A LOT of work was gone into the tempo handling since 4.x

I'll have a poke around the areas I'm suspicious of using the latest version and see if I can get it to break and open a new bug if I can find an issue.
(0019474)
timbyr (developer)
2017-03-04 04:10

I can confirm the attached Session now opens without crash/freeze with the 5.8 release. Marking as resolved

- Issue History
Date Modified Username Field Change
2017-02-15 06:52 bdp New Issue
2017-02-15 06:52 bdp File Added: TSR_2015_00_Overload New Punchy.ardour
2017-02-15 09:01 nick_m Note Added: 0019395
2017-02-15 09:59 nick_m Note Added: 0019396
2017-02-16 02:57 bdp Note Added: 0019405
2017-03-04 04:10 timbyr Note Added: 0019474
2017-03-04 04:10 timbyr Status new => resolved
2017-03-04 04:10 timbyr Fixed in Version => 5.8
2017-03-04 04:10 timbyr Resolution open => fixed
2017-03-04 04:10 timbyr Assigned To => timbyr


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker